How can we help?
{{docApp.searchError}}
{{product.name}}
Searching in {{docApp.searchFilterBySpecificBookTitle}}
{{docApp.searchResultFilteredItems.length}} results for: {{docApp.currentResultsSearchText}}
in {{docApp.searchFilterBySpecificBookTitle}}
Search results have been limited. There are a total of {{docApp.searchResponse.totalResultsAvailable}} matches.
You have an odd number of " characters in your search terms - each one needs closing with a matching " character!
-
{{resultItem.title}}
{{resultItem.url}}
{{docApp.libraryHomeViewProduct.title || docApp.libraryHomeViewProduct.id}}
{{docApp.libraryHomeViewProduct.description}}
{{group.title || group.id}}
{{group.description}}
Entity API / getSupplierContacts
- Article
- 3 minutes to read
Operation Information
- Application Reference:
com.hornbill.suppliermanager - Scope:
Entity - SupplierContacts - Class:
Entity - Required Privilege Level:
user - Required Rights: Group B - canViewSupplierContacts
Description
This flowcode operation gets details of all supplier contacts based on the search criteria provided.
Request Parameters
The getSupplierContacts API takes the following input parameters.
Note
When sending a JSON request payload to the API, the order of parameters is not significant. However, for XML request payloads, parameters must be provided in the exact order specified in this documentation to comply with input validation requirements.
| Name | Type | Required | Description |
|---|---|---|---|
searchFilter |
xs:string |
No | Search criteria for supplier contacts. |
filterBySupplier |
xs:integer |
No | Filters the results by supplier. |
filterByStatus |
xs:string |
No | Filters the results by supplier contact status. The values can be: "status.active", "status.archived", "all" |
rowStart |
xs:integer |
Yes | Row Start for Paging. |
rowLimit |
xs:integer |
Yes | Page Size. |
Response Parameters
| Name | Type | Description |
|---|---|---|
outcome |
xs:string |
The outcome of the flowcode operation. |
totalRecordCount |
xs:integer |
The total number of supplier contacts that match the search criteria. |
supplierContacts |
xs:string |
A JSON string of supplier contacts. |
Code Examples
curl -X POST 'https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.suppliermanager/SupplierContacts' \
-H 'Authorization: ESP-APIKEY yourHornbillAPIKey' \
-H 'Content-Type: application/json' \
-d '{"@service":"apps/com.hornbill.suppliermanager/SupplierContacts","@method":"getSupplierContacts","params":{"searchFilter":"xs:string","filterBySupplier":1,"filterByStatus":"xs:string","rowStart":1,"rowLimit":1}}'
package main
import (
"fmt"
apiLib "github.com/hornbill/goApiLib"
)
func main() {
hornbillAPI := apiLib.NewXmlmcInstance("yourinstanceid")
hornbillAPI.SetAPIKey("yourHornbillAPIKey")
hornbillAPI.SetJSONResponse(true)
hornbillAPI.SetParam("searchFilter", "xs:string")
hornbillAPI.SetParam("filterBySupplier", "xs:integer")
hornbillAPI.SetParam("filterByStatus", "xs:string")
hornbillAPI.SetParam("rowStart", "xs:integer")
hornbillAPI.SetParam("rowLimit", "xs:integer")
responseBody, apiError := hornbillAPI.Invoke("apps/com.hornbill.suppliermanager/SupplierContacts", "getSupplierContacts")
if apiError != nil {
fmt.Println(apiError)
return
}
fmt.Println(responseBody)
}
const endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.suppliermanager/SupplierContacts";
const payload = {
"@service": "apps/com.hornbill.suppliermanager/SupplierContacts",
"@method": "getSupplierContacts",
"params": {
"searchFilter": "xs:string",
"filterBySupplier": 1,
"filterByStatus": "xs:string",
"rowStart": 1,
"rowLimit": 1
}
};
fetch(endpoint, {
method: 'POST',
headers: {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
},
body: JSON.stringify(payload)
}).then(res => res.json())
.then(res => console.log(res));
const axios = require('axios');
const endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.suppliermanager/SupplierContacts";
const payload = {
"@service": "apps/com.hornbill.suppliermanager/SupplierContacts",
"@method": "getSupplierContacts",
"params": {
"searchFilter": "xs:string",
"filterBySupplier": 1,
"filterByStatus": "xs:string",
"rowStart": 1,
"rowLimit": 1
}
};
const axiosConfig = {
headers: {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
}
};
axios.post(endpoint, payload, axiosConfig)
.then((res) => {
console.log("RESPONSE RECEIVED: ", res);
})
.catch((err) => {
console.log("AXIOS ERROR: ", err);
})
$endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.suppliermanager/SupplierContacts";
$payload = (object) [
'@service' => 'apps/com.hornbill.suppliermanager/SupplierContacts',
'@method' => 'getSupplierContacts',
'params' => (object) [
'searchFilter' => 'xs:string',
'filterBySupplier' => 'xs:integer',
'filterByStatus' => 'xs:string',
'rowStart' => 'xs:integer',
'rowLimit' => 'xs:integer',
]
];
$headers = [
'Authorization: ESP-APIKEY yourHornbillAPIKey',
'Content-Type: application/json'
];
$curl = curl_init($url);
curl_setopt($curl, CURLOPT_URL, $endpoint);
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
curl_setopt($curl, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
$resp = curl_exec($curl);
curl_close($curl);
echo $resp;
$Endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.suppliermanager/SupplierContacts"
$Body = @{
"@service" = "apps/com.hornbill.suppliermanager/SupplierContacts"
"@method" = "getSupplierContacts"
params = @{
searchFilter = "xs:string"
filterBySupplier = "xs:integer"
filterByStatus = "xs:string"
rowStart = "xs:integer"
rowLimit = "xs:integer"
}
}
$Header = @{
"Authorization" = "ESP-APIKEY yourHornbillAPIKey"
}
$Parameters = @{
Method = "POST"
Uri = $Endpoint
Headers = $Header
Body = ($Body | ConvertTo-Json)
ContentType = "application/json"
}
Invoke-RestMethod @Parameters
import requests
import json
endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.suppliermanager/SupplierContacts"
headers = {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
}
payload={
"@service":"apps/com.hornbill.suppliermanager/SupplierContacts",
"@method":"getSupplierContacts",
"params":{
"searchFilter":"xs:string",
"filterBySupplier":"xs:integer",
"filterByStatus":"xs:string",
"rowStart":"xs:integer",
"rowLimit":"xs:integer",
},
}
response = requests.request("POST", endpoint, json=payload, headers=headers)
print(response.text)
- Version {{docApp.book.version}}
- Node {{docApp.node}} / {{docApp.build}}
In This Document